////////////////////////////////////////////////////////////////////////////////
//
//  ****************************************************************************
//  * Project   : Inject/Eject Library Demo
//  * Unit Name : HookDLL
//  * Purpose   :      CreateRemoteThread
//  * Author    :  (Rouse_) 
//  * Version   : 1.01
//  * HomePage  : http://rouse.drkb.ru
//  ****************************************************************************
//   

Library HookDLL;

uses
  Windows,
  Messages,
  SysUtils;

procedure SelfUnload; stdcall;
begin
  MessageBox(0, 'DLL_PROCESS_SelfUnload', 'DLL_PROCESS_SelfUnload', MB_OK);
  FreeLibraryAndExitThread(GetModuleHandle('hooklib.dll'), 0);
end;

procedure DLLEntryPoint(dwReason: DWORD); 
begin
  case dwReason of
    DLL_PROCESS_ATTACH:
    begin
      MessageBox(0, 'DLL_PROCESS_ATTACH', 'DLL_PROCESS_ATTACH', MB_OK);
      ExitCode := 0;
    end;
  end;
end;

exports
  SelfUnload; 

begin
  DLLProc := @DLLEntryPoint;
  DLLEntryPoint(DLL_PROCESS_ATTACH);
end.

